MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024164Open CASCADE[OCCT] OCCT:Application Frameworkpublic2013-09-11 18:052013-12-19 13:58
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024164: Optimization of OCAF document closing
DescriptionThe approach used in 23523 is potentially buggy and should be optimized.
The modifications done in 23523, 23593, 23554, 23489, 24007 and 24047 to be taken into account
Additional information
and documentation updates
Returned default OCAF document destructor.
New method BeforeClose() is added to TDocStd_Document class.
This method is used by Close method of Application class and prepares
OCAF document internal structure to closing procedure.
TagsNo tags attached.
Test case numberbugs caf(015) bug24164_1, bug24164_2
Attached Files

- Relationships
related to 0023523closedgka Open CASCADE In session DRAW it is impossible to close document having name already once closed document. 
related to 0023593closedRoman Lygin Community XCAFDoc_DocumentTool label must be removed from internal map upon closing the XDE document 
related to 0023554closedPawel Community Crash when closing BinXCAF document 
related to 0023489closedRoman Lygin Community Memory leak in TNaming_NamedShape 
related to 0024007closedRoman Lygin Community [Regression] Sporadic crashes when working with XDE documents 
related to 0024047closedgka Open CASCADE Exception in TPrsStd_AISPresentation during destruction of TDocStd_Document 
related to 0021907closedvro Open CASCADE Memory leak in OCAF document 

-  Notes
(0025846)
szy (manager)
2013-10-02 15:10

Returned direct order of OCAF document destruction.
All necessary additional actions are done in 'Close' method.
Problems during document closing / opening are not reproduced more on the referred in description bugs.
Also added 2 additional testing scripts.
To be reviewed (see branch CR24164).
(0025850)
abv (manager)
2013-10-02 16:07

No remarks, please test
(0025869)
mkv (tester)
2013-10-03 13:51

Dear BugMaster,

Branch CR24164 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: c285b00ebc582bb764d53a51edf3f24bdd91d203

Number of compiler warnings:

occt component :
Linux: 426 (426 on master)
Windows: 24 (24 on master)

products component :
Linux: 190 (190 on master)
Windows: 287 (287 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24164-master-occt/Debian60-64/bugs/caf/bug24164_1.html [^]
http://occt-tests/CR24164-master-occt/Windows-32-VC9/bugs/caf/bug24164_1.html [^]
bugs caf(015) bug24164_1: OK

http://occt-tests/CR24164-master-occt/Debian60-64/bugs/caf/bug24164_2.html [^]
http://occt-tests/CR24164-master-occt/Windows-32-VC9/bugs/caf/bug24164_2.html [^]
bugs caf(015) bug24164_2: FAILED - invalid command name "SetRefArray"


Testing on Linux:
Total MEMORY difference: 366287016 / 366206252
Total CPU difference: 42789.750000000735 / 44692.7800000013

Testing on Windows:
Total MEMORY difference: 434066976 / 433419000
Total CPU difference: 38086.796875 / 34607.078125

There are not differences in images found by testdiff.
(0025871)
szy (manager)
2013-10-03 15:00

Fixed.
(0025872)
szy (manager)
2013-10-03 15:01

Reviewed.
Ready for testing.
(0025919)
mkv (tester)
2013-10-07 08:31

Dear BugMaster,

Branch CR24164 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 109ccaff179dd83a22847b10655cacd35d678bd5

Number of compiler warnings:

occt component :
Linux: 425 (426 on master)
Windows: 24 (24 on master)

products component :
Linux: 189 (190 on master)
Windows: 287 (287 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24164-1-master-occt/Debian60-64/bugs/caf/bug24164_1.html [^]
http://occt-tests/CR24164-1-master-occt/Windows-32-VC9/bugs/caf/bug24164_1.html [^]
bugs caf(015) bug24164_1: OK

http://occt-tests/CR24164-1-master-occt/Debian60-64/bugs/caf/bug24164_2.html [^]
http://occt-tests/CR24164-1-master-occt/Windows-32-VC9/bugs/caf/bug24164_2.html [^]
bugs caf(015) bug24164_2: OK

Testing on Linux:
Total MEMORY difference: 365135136 / 366170600
Total CPU difference: 43647.680000001026 / 44691.7500000013

Testing on Windows:
Total MEMORY difference: 435135928 / 433394664
Total CPU difference: 32500.96875 / 34607.296875

There are not differences in images found by testdiff.

- Related Changesets
occt: master 1c9cffdb
Timestamp: 2013-10-10 09:28:30
Author: szy
Committer: bugmaster
Details ] Diff ]
0024164: Optimization of OCAF document closing
OCAF document closing redesign.
added 2 test scripts.
removed commented method.
added missed Draw commands.
mod - src/DDataStd/DDataStd_BasicCommands.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Application.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Document.cdl Diff ] File ]
mod - src/TDocStd/TDocStd_Document.cxx Diff ] File ]
add - tests/bugs/caf/bug24164_1 Diff ] File ]
add - tests/bugs/caf/bug24164_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-09-11 18:05 szy New Issue
2013-09-11 18:05 szy Assigned To => szy
2013-09-11 18:08 szy Status new => assigned
2013-09-11 18:08 szy Description Updated View Revisions
2013-10-02 15:10 szy Note Added: 0025846
2013-10-02 15:10 szy Assigned To szy => abv
2013-10-02 15:10 szy Status assigned => resolved
2013-10-02 15:14 szy Additional Information Updated View Revisions
2013-10-02 15:51 abv Relationship added related to 0023523
2013-10-02 15:52 abv Relationship added related to 0023593
2013-10-02 15:52 abv Relationship added related to 0023554
2013-10-02 15:52 abv Relationship added related to 0023489
2013-10-02 15:52 abv Relationship added related to 0024007
2013-10-02 15:52 abv Relationship added related to 0024047
2013-10-02 16:07 abv Note Added: 0025850
2013-10-02 16:07 abv Assigned To abv => bugmaster
2013-10-02 16:07 abv Status resolved => reviewed
2013-10-02 16:30 bugmaster Assigned To bugmaster => mkv
2013-10-02 20:14 abv Relationship added related to 0021907
2013-10-03 13:51 mkv Note Added: 0025869
2013-10-03 13:53 mkv Test case number => bugs caf(015) bug24164_1, bug24164_2
2013-10-03 13:53 mkv Assigned To mkv => szy
2013-10-03 13:53 mkv Status reviewed => assigned
2013-10-03 15:00 szy Note Added: 0025871
2013-10-03 15:00 szy Status assigned => resolved
2013-10-03 15:01 szy Note Added: 0025872
2013-10-03 15:01 szy Assigned To szy => mkv
2013-10-03 15:01 szy Status resolved => reviewed
2013-10-07 08:31 mkv Note Added: 0025919
2013-10-07 08:31 mkv Assigned To mkv => bugmaster
2013-10-07 08:31 mkv Status reviewed => tested
2013-10-11 13:35 bugmaster Changeset attached => occt master 1c9cffdb
2013-10-11 13:35 bugmaster Status tested => verified
2013-10-11 13:35 bugmaster Resolution open => fixed
2013-12-19 13:51 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker